[![ko-fi](https://ko-fi.com/img/githubbutton_sm.svg)](https://ko-fi.com/F1F65KGH9)
# Modding Server:
[![discord server](https://i.imgur.com/kym7QnV.png)](https://discord.gg/me7P53smzk)
click me

# Overview
- All normal stages will roll for either vanilla or a variant. If desired, any color scheme (including the vanilla stage) can be disabled in config or the in-game settings menu.
- If a variant is selected, changes are made to post-processing (mostly Ramp Fog and Color Grading), global lighting, individual props and even entire material sets to alter the stage's appearance.
- Some unused stage props (most notably the border statues in Abandoned Aqueduct) may be enabled.
- The mod currently features **73** visual variants (4 per stage on average).

# Mod Compatibility
- Stage Aesthetic works with the following stage mods
- - Fogbound Lagoon
- - Forgotten Relics

# Common misconceptions
- No, the mod doesn't alter any monster or interactable spawn pools.
- No, the mod doesn't add legendary chests to stages.

# To-do
- Add more nature particles to make the game more lively.
- Fix materials not loading sometimes. I should be able to fix this in the future.
- Fix that one texture REFUSING to get changed on Siphoned Forest (Desolate) :^).

# Shoutouts
- FMRadio11 for the codebase
- SSM24 and Moffein for figuring out the networking ! !
- Everyone who provided variant ideas (HIFU, FMRadio11, Jaysian, breadguy, Slipskip, Heyimnoop). Having existing content to work with is significantly easier even if it's just basic color ideas

# Screenshots
<details>
<summary>Click here to reveal an extensive list of screenshots (the only missing ones are beta scorched acres cause I think they're ugly af)</summary>

![roost1](https://cdn.discordapp.com/attachments/1000095764611076236/1140218045105705041/wvu0JRE.png)
![roost2](https://cdn.discordapp.com/attachments/1000095764611076236/1140218156032471130/JYYvq1P.png)
![roost3](https://cdn.discordapp.com/attachments/1000095764611076236/1140218316997279804/fMFZlZe.png)
![roost4](https://cdn.discordapp.com/attachments/1000095764611076236/1140218496299577384/6nZB9NI.png)
![roost5](https://cdn.discordapp.com/attachments/1000095764611076236/1140218646317244498/twEdyGG.png)
![forest1](https://cdn.discordapp.com/attachments/1000095764611076236/1140218917969739836/MV8tP7E.png)
![forest2](https://cdn.discordapp.com/attachments/1000095764611076236/1140219206013571093/6tm16uu.png)
![forest3](https://cdn.discordapp.com/attachments/1000095764611076236/1140219376851759144/9Vqby7C.png)
![forest4](https://cdn.discordapp.com/attachments/1000095764611076236/1140223847371649075/VJRUcwy.png) (Disabled by default, not up to standard)
![forest5](https://cdn.discordapp.com/attachments/1000095764611076236/1140233211620892844/oXH8pb2.png)
![plains1](https://cdn.discordapp.com/attachments/1000095764611076236/1140220913267257386/i9f8EFr.png)
![plains2](https://cdn.discordapp.com/attachments/1000095764611076236/1140227019876089856/HdnaXM9.png)
![plains3](https://cdn.discordapp.com/attachments/1000095764611076236/1140227169612734524/PBW2pn3.png)
![plains4](https://cdn.discordapp.com/attachments/1000095764611076236/1140232746925555742/kWCyq0z.png)
![plains5](https://cdn.discordapp.com/attachments/1000095764611076236/1140232935992205375/JCKAqhb.png)
![aqueduct1](https://cdn.discordapp.com/attachments/1000095764611076236/1140233546028548156/OkW4sfD.png)
![aqueduct2](https://cdn.discordapp.com/attachments/1000095764611076236/1140233729290276884/bhla6aM.png)
![aqueduct3](https://cdn.discordapp.com/attachments/1000095764611076236/1140233824706498560/mxI7ohD.png)
![aqueduct4](https://cdn.discordapp.com/attachments/1000095764611076236/1140234058706714765/8UNJpqG.png)
![sanctuary1](https://cdn.discordapp.com/attachments/1000095764611076236/1140234267817938984/p5PjPXb.png)
![sanctuary2](https://cdn.discordapp.com/attachments/1000095764611076236/1140234477352800276/bNddiqW.png) (Disabled by default, not up to standard)
![sanctuary3](https://cdn.discordapp.com/attachments/1000095764611076236/1140234628138025040/ABhogiI.png)
![sanctuary4](https://cdn.discordapp.com/attachments/1000095764611076236/1140234786351358063/oACNZTJ.png)
![basin1](https://cdn.discordapp.com/attachments/1000095764611076236/1140234958183616534/NhiD5oy.png)
![basin2](https://cdn.discordapp.com/attachments/1000095764611076236/1140235121459482665/fsZuCVm.png)
![basin3](https://cdn.discordapp.com/attachments/1000095764611076236/1140235280822046770/0W5CKzI.png)
![aspect1](https://cdn.discordapp.com/attachments/1000095764611076236/1140235432873959554/1Kc6u4r.png)
![aspect2](https://cdn.discordapp.com/attachments/1000095764611076236/1140235969430306816/sWd2wue.png)
![aspect3](https://cdn.discordapp.com/attachments/1000095764611076236/1140236081887973477/EaQnROW.png)
![aspect4](https://cdn.discordapp.com/attachments/1000095764611076236/1140236663554060408/jnXivVO.png)
![fogbound1](https://cdn.discordapp.com/attachments/1000095764611076236/1140236852687802498/IaDN4dy.png)
![fogbound2](https://cdn.discordapp.com/attachments/1000095764611076236/1140237314761691216/KuyxCgL.png)
![fogbound3](https://cdn.discordapp.com/attachments/1000095764611076236/1140237409146130522/DkIbbsy.png)
![delta1](https://cdn.discordapp.com/attachments/1000095764611076236/1140237682652487750/vgIsw0K.png)
![delta2](https://cdn.discordapp.com/attachments/1000095764611076236/1140237974563467264/WuDLJVS.png)
![delta3](https://cdn.discordapp.com/attachments/1000095764611076236/1140238100937842718/PZe9nEo.png)
![delta4](https://cdn.discordapp.com/attachments/1000095764611076236/1140238308056760352/1x3bGnR.png)
![acres1](https://cdn.discordapp.com/attachments/1000095764611076236/1140238493730230392/o0Uyw2Z.png)
![acres2](https://cdn.discordapp.com/attachments/1000095764611076236/1140238674991251506/c09Vqjv.png)
![acres3](https://cdn.discordapp.com/attachments/1000095764611076236/1140238853714759730/7W7C28M.png)
![acres4](https://cdn.discordapp.com/attachments/1000095764611076236/1140239068790272150/Yxj9alT.png)
![pools1](https://cdn.discordapp.com/attachments/1000095764611076236/1140239301125357649/2V5FDGf.png)
![pools2](https://cdn.discordapp.com/attachments/1000095764611076236/1140239490334609468/xTTfjdR.png)
![pools3](https://cdn.discordapp.com/attachments/1000095764611076236/1140239791552729098/GJcFqMI.png)
![depths1](https://cdn.discordapp.com/attachments/1000095764611076236/1140240017227259935/TehIElz.png)
![depths2](https://cdn.discordapp.com/attachments/1000095764611076236/1140240157530931271/vqJ5wj4.png)
![depths3](https://cdn.discordapp.com/attachments/1000095764611076236/1140240281329995776/kDOfzvc.png)
![depths4](https://cdn.discordapp.com/attachments/1000095764611076236/1140240598259994754/K4ZufPx.png)
![call1](https://cdn.discordapp.com/attachments/1000095764611076236/1140240868641615983/TpuX6zX.png)
![call2](https://cdn.discordapp.com/attachments/1000095764611076236/1140240956738777159/HyIXIdb.png)
![call3](https://cdn.discordapp.com/attachments/1000095764611076236/1140241072879046696/AEXihGY.png)
![call4](https://cdn.discordapp.com/attachments/1000095764611076236/1140241269868732466/9zWk1nM.png)
![grove1](https://cdn.discordapp.com/attachments/1000095764611076236/1140241408276578425/DvAqmzt.png)
![grove2](https://cdn.discordapp.com/attachments/1000095764611076236/1140241524303601734/IK7kGfL.png)
![grove3](https://cdn.discordapp.com/attachments/1000095764611076236/1140241729962909756/qGy0dh6.png)
![grove4](https://cdn.discordapp.com/attachments/1000095764611076236/1140241878806179920/QZmxpVj.png)
![meadow1](https://cdn.discordapp.com/attachments/1000095764611076236/1140242013153931344/IrPb7lA.png)
![meadow2](https://cdn.discordapp.com/attachments/1000095764611076236/1140242265340657786/1F7ZCuZ.png)
![meadow3](https://cdn.discordapp.com/attachments/1000095764611076236/1140242595990229022/CpC4Bwv.png)
![meadow4](https://cdn.discordapp.com/attachments/1000095764611076236/1140242956218007582/SSF4NfI.png)
![meadow5](https://cdn.discordapp.com/attachments/1000095764611076236/1140245472175472682/u0eVwds.png)
![satellite1](https://cdn.discordapp.com/attachments/1000095764611076236/1140246825509605406/FRtT60D.png)
![satellite2](https://cdn.discordapp.com/attachments/1000095764611076236/1140247104317562910/Tk7fujc.png)
![satellite3](https://cdn.discordapp.com/attachments/1000095764611076236/1140247213856014446/wjZdA6i.png)
![commencement1](https://cdn.discordapp.com/attachments/1000095764611076236/1140247723061293116/ku41pVY.png)
![commencement2](https://cdn.discordapp.com/attachments/1000095764611076236/1140247912199237712/BD1nG25.png)
![commencement3](https://cdn.discordapp.com/attachments/1000095764611076236/1140248182626988032/WSexGPV.png)
![commencement4](https://cdn.discordapp.com/attachments/1000095764611076236/1140248348083884123/q7TWRVV.png)
![locus1](https://cdn.discordapp.com/attachments/1000095764611076236/1140248528388624444/Q0qGDqW.png)
![locus2](https://cdn.discordapp.com/attachments/1000095764611076236/1140248720852652042/xgIFrGW.png)
![locus3](https://cdn.discordapp.com/attachments/1000095764611076236/1140248819246829709/SUSG2uC.png)
</details>


